Bug Hunting Session
Bug 38446 - Text orientation<> 0 + particlar 'Reference Edge' destroys horizontal text alignment
Summary: Text orientation<> 0 + particlar 'Reference Edge' destroys horizontal text al...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Cells
  Show dependency treegraph
 
Reported: 2011-06-18 08:59 UTC by wope
Modified: 2018-07-12 02:44 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshots with comments, see Comment 1 (164.22 KB, application/pdf)
2011-06-18 10:21 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wope 2011-06-18 08:59:07 UTC
1. enter any text in a cell
2. Format -> Cells  and set in Alignment the Degrees to 90° or 270°
-> the text is on the left side of the cell
3. set the degrees to any othe3r value e.g. 91°
-> the text is in the middle of the cell
 this appears on 3.3.3 and 3.4.0
Comment 1 Rainer Bielefeld Retired 2011-06-18 10:17:55 UTC
[Reproducible] with "LibreOffice 3.3.3  – WIN7  Home Premium  (64bit) English UI [OOO330m19 (Build:301)]", wope tested with linux 3.2.2 Release.

The reported effect is a particular effect of a more complex bug, my observations show that in dialog 'Format > Cells > Alignment - Degrees' and 'Format > Cells > Alignment - Reference Edge' destroys horizontal alignment. I checked With a very simple "This is a Test" in 'A1', alignment left. My results please see in attached screenshots.

I belive this one is a DUP of
Bug 36805 - Text alignment in Cells with text orientation other than 0. 

@Kohei:
Can you please check whether other observed effects are also covered with the Fix for Bug 36805 and if yes mark this one as a DUP?

Is already clear in what 3.4.x the fix from Bug 36805 will be integrated? 3.4.1RC1 still shows problem.
Comment 2 Rainer Bielefeld Retired 2011-06-18 10:21:16 UTC
Created attachment 48139 [details]
Screenshots with comments, see Comment 1
Comment 3 A (Andy) 2015-02-07 21:41:42 UTC
Reproducible with LO 4.4.0.3, Win 8.1
Comment 4 QA Administrators 2016-02-21 08:37:11 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-03-06 15:45:20 UTC Comment hidden (obsolete)
Comment 6 wope 2017-03-06 18:49:50 UTC
The error is present in 5.2.5 (linux) and 5.0.3 (win)
Comment 7 QA Administrators 2018-07-12 02:44:11 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug